# Interface ComponentActionFactoryInterface<L>

#### Type Parameters

- #### L

#### Hierarchy

- ComponentActionFactoryInterface

- Defined in src/RcsbFvStructure/StructureUtils/ComponentActionInterface.ts:3

#####
Index

### Methods

getComponentAction

## Methods

### getComponentAction

- getComponentAction(config): ComponentActionInterface<L>

- #### Parameters

  - ##### config: {
    stateManager: RcsbFvStateInterface;
    }

    - ##### stateManager: RcsbFvStateInterface

  #### Returns ComponentActionInterface<L>

  - Defined in src/RcsbFvStructure/StructureUtils/ComponentActionInterface.ts:4

Generated using TypeDoc